// example: __2020(2, 3);

module __2020(height, thickness) {
    // these values are measured off of a 2020 frame including tolerance (!!)
    inner_size = 21;
    inner_pin_width=5.5;
    inner_pin_height=1.5;
    
    difference() {
        cube([inner_size + thickness*2, inner_size + thickness*2, height]);
        translate([thickness, thickness, 0])
        cube([inner_size, inner_size, height]);
    }

    translate([inner_size/2 + thickness, inner_size/2 + thickness, 0])
    for(i = [0:90:270]) {
        rotate([0, 0, i])
        translate([-inner_pin_width/2, inner_size/2 - inner_pin_height, 0])
        cube([inner_pin_width, inner_pin_height, height]);
    }
}